package main

import (
	"jollia.cn/golib/jokode"
	"ngcat/services"
)

const cfgFilePath = "conf/ng-tail.conf"

func main() {
	cfg := jokode.NewLogConfig()
	cfg.FileName = "logs/ng-tail.log"
	if err := jokode.InitLogger(cfg); err != nil {
		panic(err)
	}

	jokode.Warnf("ng-tail starting ...")
	defer jokode.Warnf("ng-tail stopping ...")

	if err := services.LoadAppConfig(cfgFilePath); err != nil {
		panic(err)
	}

	services.StartCliService()
}
